Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.

Bug #389322 reported by Kelly Campbell on 2009-06-19
770
This bug affects 118 people
Affects Status Importance Assigned to Milestone
Hardy Backports
Medium
Unassigned
Pidgin
Fix Committed
Undecided
Unassigned
pidgin (Ubuntu)
Medium
Unassigned
Dapper
Undecided
Unassigned
Hardy
High
Chris Coulson
Intrepid
Undecided
Unassigned
Jaunty
High
Unassigned
Karmic
Medium
Unassigned

Bug Description

Binary package hint: pidgin

Just hangs trying to connect to yahoo.
all other account types seem to be working fine just not yahoo.
pidgin 2.5.5
====================================
pidgin debug log :
(09:19:46) account: Connecting to account MyYahooAccount
(09:19:46) connection: Connecting. gc = 0x8e3e1c8
(09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
(09:19:46) dns: DNS child 5936 no longer exists
(09:19:46) dns: Created new DNS child 6064, there are now 1 children.
(09:19:46) dns: Successfully sent DNS request to child 6064
(09:19:48) dns: Got response for 'scs.msg.yahoo.com'
(09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
(09:19:48) proxy: Attempting connection to 76.13.15.32
(09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
(09:19:48) proxy: Connection in progress
(09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
(09:19:49) yahoo: 96 bytes to read, rxlen is 116
(09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
(09:19:49) yahoo: yahoo status: 12
====================================
ping to yahoo server :
 ping scs.msg.yahoo.com
PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48 time=638 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48 time=628 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48 time=659 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=4 ttl=48 time=817 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=5 ttl=48 time=659 ms
====================================
netstat :
tcp 0 0 xxx.xxx.xxx.xxx:49159 76.13.15.32:5050 ESTABLISHED
tcp 0 0 xxx.xxx.xxx.xxx:52467 68.180.217.8:5050 ESTABLISHED
====================================

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/pidgin
NonfreeKernelModules: nvidia
Package: pidgin 1:2.5.5-1ubuntu8.1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: pidgin
Uname: Linux 2.6.28-13-generic i686

Captain Chaos (launchpad-chaos) wrote :

Same here. I'm running Pidgin 2.5.6 on Windows Vista 64-bit SP1. It just hangs logging in to Yahoo!. It does keep running. I can interact with it, send messages using other protocols, etc. But it keeps saying "Connecting...", and my Yahoo! contacts never appear.

Captain Chaos (launchpad-chaos) wrote :

I only just noticed this is the Ubuntu launchpad. :-)

So apparently the problem is not Ubuntu-specific.

Captain Chaos (launchpad-chaos) wrote :

This is the ticket in the Pidgin bug tracker: http://developer.pidgin.im/ticket/8853

Apparently the problem is that Yahoo! is retiring servers which support the old authentication protocol Piding is using.

Montel Edwards (montel) wrote :

As this bug has duplicates of 4 that I found, and I am looking for more, I am changing this to confirmed.

Changed in pidgin (Ubuntu):
status: New → Confirmed
Montel Edwards (montel) on 2009-06-19
description: updated
summary: - Will not login to yahoo
+ Pidgin 2.5.5 will not connect to Yahoo! server.

Below solution works for me.

http://ubuntuforums.org/showthread.php?t=1191064&page=5 post#47
maybe this thread will be helpful.

http://forum.ubuntu-vn.org/viewtopic...t=1630&start=0

I've done those steps:

1. Open file /etc/hosts with gedit:
sudo gedit /etc/hosts
2. Add the following line to the end of hosts:
66.163.181.184 scs.msg.yahoo.com
3. Save and Close
4. Restart Pidgin
OK
Last edited by attlinux; 9 Hours Ago at 03:22 AM..

Montel Edwards (montel) wrote :

I have looked in Pidgin PPA and it appears that the newest version is 2.5.6. It is not fixed in that release either. I am continuing to find more and more duplicates so this bug is critical.

summary: - Pidgin 2.5.5 will not connect to Yahoo! server.
+ Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.

ipmawan: OK it looks like Yahoo! has changed their IP of the newest IM server. Hopefully the Pidgin developers will update it and someone will put it in the main repositories.

OK...this solution seems to work.
Is a permanent or temporary fix?
thank you.

--- On Fri, 6/19/09, ipmawan <email address hidden> wrote:

From: ipmawan <email address hidden>
Subject: [Bug 389322] Re: Pidgin 2.5.5 will not connect to Yahoo! server.
To: <email address hidden>
Date: Friday, June 19, 2009, 12:48 PM

Below solution works for me.

http://ubuntuforums.org/showthread.php?t=1191064&page=5 post#47
maybe this thread will be helpful.

http://forum.ubuntu-vn.org/viewtopic...t=1630&start=0

I've done those steps:

1. Open file /etc/hosts with gedit:
sudo gedit /etc/hosts
2. Add the following line to the end of hosts:
66.163.181.184 scs.msg.yahoo.com
3. Save and Close
4. Restart Pidgin
OK
Last edited by attlinux; 9 Hours Ago at 03:22 AM..

--
Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

thank you...with those steps it works perfect now...

Download full text (3.6 KiB)

It somewhat I guess could be a permanent fix, but Pidgin should update this
in the newest release.
On Fri, Jun 19, 2009 at 12:45 PM, clombard <email address hidden> wrote:

> OK...this solution seems to work.
> Is a permanent or temporary fix?
> thank you.
>
>
> --- On Fri, 6/19/09, ipmawan <email address hidden> wrote:
>
> From: ipmawan <email address hidden>
> Subject: [Bug 389322] Re: Pidgin 2.5.5 will not connect to Yahoo! server.
> To: <email address hidden>
> Date: Friday, June 19, 2009, 12:48 PM
>
> Below solution works for me.
>
> http://ubuntuforums.org/showthread.php?t=1191064&page=5 post#47
> maybe this thread will be helpful.
>
> http://forum.ubuntu-vn.org/viewtopic...t=1630&start=0
>
> I've done those steps:
>
> 1. Open file /etc/hosts with gedit:
> sudo gedit /etc/hosts
> 2. Add the following line to the end of hosts:
> 66.163.181.184 scs.msg.yahoo.com
> 3. Save and Close
> 4. Restart Pidgin
> OK
> Last edited by attlinux; 9 Hours Ago at 03:22 AM..
>
> --
> Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> --
> Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “pidgin” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: pidgin
>
> Just hangs trying to connect to yahoo.
> all other account types seem to be working fine just not yahoo.
> pidgin 2.5.5
> ====================================
> pidgin debug log :
> (09:19:46) account: Connecting to account MyYahooAccount
> (09:19:46) connection: Connecting. gc = 0x8e3e1c8
> (09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
> (09:19:46) dns: DNS child 5936 no longer exists
> (09:19:46) dns: Created new DNS child 6064, there are now 1 children.
> (09:19:46) dns: Successfully sent DNS request to child 6064
> (09:19:48) dns: Got response for 'scs.msg.yahoo.com'
> (09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
> (09:19:48) proxy: Attempting connection to 76.13.15.32
> (09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
> (09:19:48) proxy: Connection in progress
> (09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
> (09:19:49) yahoo: 96 bytes to read, rxlen is 116
> (09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
> (09:19:49) yahoo: yahoo status: 12
> ====================================
> ping to yahoo server :
> ping scs.msg.yahoo.com
> PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48
> time=638 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48
> time=628 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48
> time=659 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=4 ttl=48
> time=817 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=5 ttl=48
> time=659 ms
> ====================================
> netstat :
> tcp 0 0 xxx.xxx.xxx.xxx:49159 76.13.15.32:5050 ESTABLISHED
> tcp 0 ...

Read more...

clombard (clombard44) wrote :
Download full text (4.1 KiB)

Thank you.

--- On Fri, 6/19/09, Montel Edwards <email address hidden> wrote:

From: Montel Edwards <email address hidden>
Subject: Re: [Bug 389322] Re: Pidgin 2.5.5 will not connect to Yahoo! server.
To: <email address hidden>
Date: Friday, June 19, 2009, 2:24 PM

It somewhat I guess could be a permanent fix, but Pidgin should update this
in the newest release.
On Fri, Jun 19, 2009 at 12:45 PM, clombard <email address hidden> wrote:

> OK...this solution seems to work.
> Is a permanent or temporary fix?
> thank you.
>
>
> --- On Fri, 6/19/09, ipmawan <email address hidden> wrote:
>
> From: ipmawan <email address hidden>
> Subject: [Bug 389322] Re: Pidgin 2.5.5 will not connect to Yahoo! server.
> To: <email address hidden>
> Date: Friday, June 19, 2009, 12:48 PM
>
> Below solution works for me.
>
> http://ubuntuforums.org/showthread.php?t=1191064&page=5 post#47
> maybe this thread will be helpful.
>
> http://forum.ubuntu-vn.org/viewtopic...t=1630&start=0
>
> I've done those steps:
>
> 1. Open file /etc/hosts with gedit:
> sudo gedit /etc/hosts
> 2. Add the following line to the end of hosts:
> 66.163.181.184 scs.msg.yahoo.com
> 3. Save and Close
> 4. Restart Pidgin
> OK
> Last edited by attlinux; 9 Hours Ago at 03:22 AM..
>
> --
> Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> --
> Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “pidgin” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: pidgin
>
> Just hangs trying to connect to yahoo.
> all other account types seem to be working fine just not yahoo.
> pidgin 2.5.5
> ====================================
> pidgin debug log :
> (09:19:46) account: Connecting to account MyYahooAccount
> (09:19:46) connection: Connecting. gc = 0x8e3e1c8
> (09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
> (09:19:46) dns: DNS child 5936 no longer exists
> (09:19:46) dns: Created new DNS child 6064, there are now 1 children.
> (09:19:46) dns: Successfully sent DNS request to child 6064
> (09:19:48) dns: Got response for 'scs.msg.yahoo.com'
> (09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
> (09:19:48) proxy: Attempting connection to 76.13.15.32
> (09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
> (09:19:48) proxy: Connection in progress
> (09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
> (09:19:49) yahoo: 96 bytes to read, rxlen is 116
> (09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
> (09:19:49) yahoo: yahoo status: 12
> ====================================
> ping to yahoo server :
>  ping scs.msg.yahoo.com
> PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48
> time=638 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48
> time=628 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48
> time=659 ms
> 64 bytes from cs108.ms...

Read more...

Download full text (3.2 KiB)

if i open email on my yahoo account outside of pidgin (not using pidgen
 buddy list open), pidgin isn't "aware" of this and keeps totting up
 those messages as if they were never opened. at that point, if i open
 messages from pidgin's buddy list, a tab (firefox) is opened for each
 message. worse yet, would have to log in to each one of them! the only
 good thing here is that i can close each tab w/o logging in and then
 pidgin is up to date. still, having to close each tab...

 6/12/09-just checked system monitor and discovered 6 or 7 pidgin zombie
 processes. the only thing i can think of is that they were left over
 from opening the messages/closing the tabs...

- 06/19/09-i'm always able to chat on my yahoo account before, during &
- after this behavior is observed. fwiw, just finished a chat & checked
- buddy list. it shows "16 new emails." even though i've just been in my
- mailbox (http://us.mg2.mail.yahoo.com/dc/launch?sysreq=ignore

) and
- viewed any unopened mail...
+ 06/19/09-checked buddy list. it shows "16 new emails.". under
+ accounts, yahoo, aim & gmail are listed. the only account listed under
+ "accounts->enable accounts is msn, which i don't login to automatically.
+ i'd jbeen in my mailbox
+ (http://us.mg2.mail.yahoo.com/dc/launch?sysreq=ignore

) and had viewed my
+ unopened mail.several minutes previously. best just to "x out" of new
- Show quoted text -
+ mail...

 ProblemType: Bug
 Architecture: i386
 Date: Thu Jun 11 10:26:05 2009
 DistroRelease: Ubuntu 8.04
 ExecutablePath: /usr/bin/pidgin
 Package: pidgin 1:2.4.1-1ubuntu2.4
 PackageArchitecture: i386
 ProcEnviron:
  PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
  LANG=en_US.UTF-8
  SHELL=/bin/bash
 SourcePackage: pidgin
 Uname: Linux 2.6.24-24-generic i686

--
pidgin isn't aware of current state of yahoo mailbox
https://bugs.launchpad.net/bugs/385956

You received this bug notification because you are a direct subscriber
of the bug.

Status in “pidgin” source package in Ubuntu: New

Bug description:
Binary package hint: pidgin

ubuntu 8.04
1:2.4.1-1ubuntu2.4

transferring from bug #385956
06/11/09-if i open email on my yahoo account outside of pidgin (not using pidgen buddy list open), pidgin isn't "aware" of this and keeps totting up those messages as if they were never opened. at that point, if i open messages from pidgin's buddy list, a tab (firefox) is opened for each message. worse yet, would have to log in to each one of them! the only good thing here is that i can close each tab w/o logging in and then pidgin is up to date. still, having to close each tab...

6/12/09-just checked system monitor and discovered 6 or 7 pidgin zombie processes. the only thing i can think of is that they were left over from opening the messages/closing the tabs yesterday...

06/19/09-checked buddy list. it shows "16 new emails.". under accounts, yahoo, aim & gmail are listed. the only account listed under accounts->enable accounts is msn, which i don't login to automatically. i'd jbeen in my mailbox (http://us.mg2.mail.yahoo.com/dc/launch?sysreq=ignore) and had viewed my unopened mail.several minutes previously.

perhaps b...

Read more...

XGhozt (me-xghozt) wrote :

Editing the hosts file worked for me.

see http://www.celticwolf.com/useful-information/faqs/26-pidgin-yahoo

the link is provided from their help main page: http://www.pidgin.im/support/

this seems a temporary fix and the next version (2.6.0) of pidgin seems to be needed for all of us (not just the next ubuntu release)...

"As of June 17, 2009, Pidgin users are having trouble connecting to Yahoo! IM accounts. Here is a summary of the problem:

Yahoo! appears to be upgrading their servers to a new version of their software. This new version requires a new authentication method. The latest version of Pidgin, 2.5.6, does not support this new authentication method. The next version, 2.6.0, will, but it has not yet been released.

The domain name that is used to connect to Yahoo! servers is "scs.msg.yahoo.com". This domain name is actually mapped to multiple servers. Some of these servers have been upgraded, while others haven't. As a result, you may see intermittent failures, or you may fail every time, while your neighbor logs in successfully. It's effectively a roll of the dice."

summary: - Pidgin 2.5.5 and 2.5.6 will not connect to Yahoo! server.
+ Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
+ Yahoo! servers.
Changed in pidgin:
status: Unknown → New
Kuan (azazabc123) wrote :

>> ipmawan wrote on 2009-06-19
>>
>>1. Open file /etc/hosts with gedit:
>>sudo gedit /etc/hosts
>>2. Add the following line to the end of hosts:
>>66.163.181.184 scs.msg.yahoo.com
>>3. Save and Close
>>4. Restart Pidgin
>>OK

It works!Good job!

bogdanctt (bogdanctt) wrote :

done that..it works ...thanks a lot

Changing the servers is just rolling dice game, you never know how long it will work with the new one.
Pidgin 2.5.7 is out and expected to solve this issue. Anyone tried to build it and put into PPA?

Montel Edwards (montel) wrote :

I did not know that 2.5.7 is out yet...

Yes, I tested it few minutes ago on another box with Debian, version 2.5.7 is already in experimental and it just works.

Correction of comment [20] ... pidgin 2.5.7 is in Debian/unstable of course.

On Sun, 2009-06-21 at 15:19 +0000, Michal Matyska wrote:
> Yes, I tested it few minutes ago on another box with Debian, version
> 2.5.7 is already in experimental and it just works.
Well i talked to a MOTU and he told me that Pidgin is in the main respos
and MOTU's cannot upload to the main. Hopefully someone will notice this
and add it, but I fear that we may have to wait till Karmic.
--

UbuntuWiki
https://wiki.ubuntu.com/MontelEdwards
LaunchpadProfile
https://launchpad.net/~m.deonte

> From: Montel Edwards <email address hidden>
> Well i talked to a MOTU and he told me that Pidgin is in
> the main respos
> and MOTU's cannot upload to the main. Hopefully someone
> will notice this
> and add it, but I fear that we may have to wait till
> Karmic.

Afaik, packages in the main are not updated at all but are *patched* only to fix serious flaws or security vulnerabilities... Hopefully, Yahoo not working would be perceived as a serious flaw in Pidgin's case...

Montel Edwards (montel) wrote :

Oh i see. Well i hope that someone will see this. I have never seen so
many duplicates of this bug.
On Sun, 2009-06-21 at 15:25 +0000, Michal Matyska wrote:
> Correction of comment [20] .s.. pidgin 2.5.7 is in Debian/unstable of
> course.
>
--

UbuntuWiki
https://wiki.ubuntu.com/MontelEdwards
LaunchpadProfile
https://launchpad.net/~m.deonte

Changed in pidgin:
status: New → Fix Released
waffen (mlacunza) wrote :

In Ubuntu Jaunty 9.04 amd64 Pidgin 2.5.7 fix the bug!!

Brian Curtis (bcurtiswx) wrote :

waffen: according to the changelog for 2.5.7 it appears as it has. Before closing this bug, I have to wait for this to make it into the ubuntu repositories.

Brian Curtis (bcurtiswx) wrote :

A fix has been committed. If you go to https://edge.launchpad.net/~pidgin-developers/+archive/ppa you can use the newest pidgin until it makes the ubuntu repositories

Changed in pidgin (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Fix Committed
Onkar Shinde (onkarshinde) wrote :

@Brian,

The fix is not committed to Ubuntu repositories. It is committed to pidgin developers PPA which by no means is official repository.

Changed in pidgin (Ubuntu):
status: Fix Committed → Confirmed
hjabl0m3 (hjabl0m3) wrote :

found that after installing pidgin-extprefs and pidgin-plugin-pack, pidgin will not show avaiable icon in panel after launch. hover displays "Pidgin - Available", but icon is the one displayed while connecting. once yah0o is unchecked in accounts, available icon is displayed.
removal, reboot & reinstall - no joy. guess i'm in with everybody else now...

waffen (mlacunza) wrote :

Brian: yes I know because I was updated from PPA, was only an advise for the team :D thanks for the work!

neela (durganneela) wrote :

i have recently started to swim in Ubuntu & i must say i love Ubuntu & luanchpad.. thxz everyone out there.. i managed to debug my pidgin.. Yahoooo!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.5.7-1ubuntu1

---------------
pidgin (1:2.5.7-1ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #390249, #390297), remaining changes:
    - Update debian/prefs.xml to set the notify plugin prefs
      /plugins/gtk/X11/notify/*, set /pidgin/plugins/loaded to load
      the notify plugin and enable the standard logging options by default
    + 02_lpi.patch for LP integration. Add liblaunchpad-integration-dev to
      build-deps for this
    + 04_let_crasher_for_apport.patch to stop catching the SIGSEGV signal
      and let apport handle it
    + 05_default_to_irc_ubuntu_com.patch to set the default IRC
      server to irc.ubuntu.com
    + 10_docklet_default_off.patch for default behavior to have no
      notification area icon.
    + 11_buddy_list_really_show.patch to make it so that the buddy
      list tries harder to appear. This fixes some issues with it
      not appearing.
    + 13_sounds_and_timers.patch which adjusts the time out for sounds
      to be 15 seconds, which helps get fewer spurious login
      notifications on slow connections. Also, switches a few long
      term timers to _add_seconds to get a little bit of power savings.
    + 60_1024x600_gtk*.c.patch: Add scrolled bars into account dialog,
    + 73_upstream_change_fix_high_dpi_status_msg.patch: upstream change to
      stop the clipping of the infopane text when using high DPI
      pounce windows and preference window when screen height is less than 600.
    + Add nm-dev to build-deps to enable NM integration. Remove --disable-nm
      from configure line.
    + debian/libpurple0.symbols: Add libgdl & epochs
    + debian/control: Remove libpurple0 from deps of libpurple-bin
  * Also fixes Yahoo! connection problems (LP: #389322)
  * debian/libpurple0.symbols: Update
  * 99_autoconf: Refresh

 -- Iain Lane <email address hidden> Mon, 22 Jun 2009 17:14:29 +0100

Changed in pidgin (Ubuntu):
status: Confirmed → Fix Released
Sebastien Bacher (seb128) wrote :

the new 2.5.7 version has been uploaded to karmic now

sfantu (sfantus1) wrote :

yahoo protocol isn`t working again :(

sfantu (sfantus1) wrote :

i upgraded to 2.5.7 but sill yahoo won`t work :(

yahoo not working on pidgin.. what to do now??

On Wed, Jun 24, 2009 at 7:33 AM, sfantu <email address hidden> wrote:

> i upgraded to 2.5.7 but sill yahoo won`t work :(
>
> --
> Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
> Yahoo! servers.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Pidgin: Fix Released
> Status in “pidgin” source package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: pidgin
>
> Just hangs trying to connect to yahoo.
> all other account types seem to be working fine just not yahoo.
> pidgin 2.5.5
> ====================================
> pidgin debug log :
> (09:19:46) account: Connecting to account MyYahooAccount
> (09:19:46) connection: Connecting. gc = 0x8e3e1c8
> (09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
> (09:19:46) dns: DNS child 5936 no longer exists
> (09:19:46) dns: Created new DNS child 6064, there are now 1 children.
> (09:19:46) dns: Successfully sent DNS request to child 6064
> (09:19:48) dns: Got response for 'scs.msg.yahoo.com'
> (09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
> (09:19:48) proxy: Attempting connection to 76.13.15.32
> (09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
> (09:19:48) proxy: Connection in progress
> (09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
> (09:19:49) yahoo: 96 bytes to read, rxlen is 116
> (09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
> (09:19:49) yahoo: yahoo status: 12
> ====================================
> ping to yahoo server :
> ping scs.msg.yahoo.com
> PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48
> time=638 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48
> time=628 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48
> time=659 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=4 ttl=48
> time=817 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=5 ttl=48
> time=659 ms
> ====================================
> netstat :
> tcp 0 0 xxx.xxx.xxx.xxx:49159 76.13.15.32:5050 ESTABLISHED
> tcp 0 0 xxx.xxx.xxx.xxx:52467 68.180.217.8:5050 ESTABLISHED
> ====================================
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/pidgin
> NonfreeKernelModules: nvidia
> Package: pidgin 1:2.5.5-1ubuntu8.1
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: pidgin
> Uname: Linux 2.6.28-13-generic i686
>
>
>

VladNistor (vladnistor) wrote :

If you changed the server address before you updated (the primary quick fix) then your settings were probably carried over to 2.5.7 and the particular address may no longer work. I ran into this issue this morning and changed the server back to scs.msg.yahoo.com and it now works. Could someone tell is if the new version use a different address?

Download full text (5.2 KiB)

thank you. aba kohi maddat nahi hei!

--- On Wed, 24/6/09, neela <email address hidden> wrote:

From: neela <email address hidden>
Subject: Re: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Wednesday, 24 June, 2009, 7:07 AM

yahoo not working on pidgin.. what to do now??

On Wed, Jun 24, 2009 at 7:33 AM, sfantu <email address hidden> wrote:

> i upgraded to 2.5.7 but sill yahoo won`t work :(
>
> --
> Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
> Yahoo! servers.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Pidgin: Fix Released
> Status in “pidgin” source package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: pidgin
>
> Just hangs trying to connect to yahoo.
> all other account types seem to be working fine just not yahoo.
> pidgin 2.5.5
> ====================================
> pidgin debug log :
> (09:19:46) account: Connecting to account MyYahooAccount
> (09:19:46) connection: Connecting. gc = 0x8e3e1c8
> (09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
> (09:19:46) dns: DNS child 5936 no longer exists
> (09:19:46) dns: Created new DNS child 6064, there are now 1 children.
> (09:19:46) dns: Successfully sent DNS request to child 6064
> (09:19:48) dns: Got response for 'scs.msg.yahoo.com'
> (09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
> (09:19:48) proxy: Attempting connection to 76.13.15.32
> (09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
> (09:19:48) proxy: Connection in progress
> (09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
> (09:19:49) yahoo: 96 bytes to read, rxlen is 116
> (09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
> (09:19:49) yahoo: yahoo status: 12
> ====================================
> ping to yahoo server :
>  ping scs.msg.yahoo.com
> PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48
> time=638 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48
> time=628 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48
> time=659 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=4 ttl=48
> time=817 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=5 ttl=48
> time=659 ms
> ====================================
> netstat :
> tcp 0 0 xxx.xxx.xxx.xxx:49159 76.13.15.32:5050 ESTABLISHED
> tcp 0 0 xxx.xxx.xxx.xxx:52467 68.180.217.8:5050 ESTABLISHED
> ====================================
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/pidgin
> NonfreeKernelModules: nvidia
> Package: pidgin 1:2.5.5-1ubuntu8.1
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> SourcePackage: pidgin
> Uname: Linux 2.6.28-13-generic i686
>
>
>

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Statu...

Read more...

Damiano Dallatana (damidalla) wrote :

I am using a new Yahoo! account on Pidgin, working correctly.
The server here is scsa.msg.yahoo.com and I could not connect with the "@yahoo.ext" part of the email address - only the username has to be used (error 1013 otherwise).
Hope it can help...

clombard (clombard44) wrote :

THIS FIX DOES NOT WORK ANY MORE...?
NOW WHAT...? THIS PROBLEM IS STARTING TO TURN PEOPLE OFF
TO LINUX!

--- On Sat, 6/20/09, Kuan <email address hidden> wrote:

From: Kuan <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Saturday, June 20, 2009, 10:52 PM

>> ipmawan  wrote on 2009-06-19
>>
>>1. Open file /etc/hosts with gedit:
>>sudo gedit /etc/hosts
>>2. Add the following line to the end of hosts:
>>66.163.181.184 scs.msg.yahoo.com
>>3. Save and Close
>>4. Restart Pidgin
>>OK

It works!Good job!

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

clombard (clombard44) wrote :

TODAY IT IS BACK TO YAHOO ON PIDGIN DOES NOT WORK!
IS YAHOO CAUSING ALL THESE PROBLEMS...
AND WHY CAN'T WE JUST FIX IT?

VladNistor (vladnistor) wrote :

Thanks Damiano Dallatana. I could have just created a new pidgin account and found out myself, but I didn't think of it then.

clombard, please stop shouting (caps off). Like I said earlier: if you had previously changed the server settings they migrated to the new pidgin. Update the address to scsa.msg.yahoo.com and update pidgin if you haven't already. This was not a linux problem, it was a yahoo change, everyone not using ymessinger was affected.

Sorry to appear daft, but is 2.5.7 going to appear in Synaptic or am I going to have to get the package myself? I would prefer to find this through the official repositories since I am likely to have to make this change on a number of machines which I support (in disparate locations).

NeilAlan (neil-alan) wrote :

66.163.181.184 scs.msg.yahoo.com
Fixed the original problem on June 21st.

Today account disconnected message. Not connecting at all.
Changed to scsa.msg.yahoo.com server in hosts.

Buddy Lists will not load.

Getting the following message in debug window:

(11:58:46) account: Connecting to account neil_alan
(11:58:46) connection: Connecting. gc = 0xa687db0
(11:58:46) dns: DNS query for 'scs.msg.yahoo.com' queued
(11:58:46) Session Management: Received first save_yourself
(11:58:46) dns: Created new DNS child 6091, there are now 1 children.
(11:58:46) dns: Successfully sent DNS request to child 6091
(11:58:46) Session Management: Received save_complete
(11:58:46) util: requested to fetch (http://10.10.110.1:80/Public_UPNP_gatedesc.xml), full=1, user_agent=((null)), http11=1
(11:58:46) dns: DNS query for '10.10.110.1' queued
(11:58:46) dns: Got response for 'scs.msg.yahoo.com'
(11:58:46) dnsquery: IP resolved for scs.msg.yahoo.com
(11:58:46) proxy: Attempting connection to 68.180.217.8
(11:58:46) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
(11:58:46) proxy: Connection in progress
(11:58:46) dns: Successfully sent DNS request to child 6091
(11:58:46) dns: Got response for '10.10.110.1'
(11:58:46) dnsquery: IP resolved for 10.10.110.1
(11:58:46) proxy: Attempting connection to 10.10.110.1
(11:58:46) proxy: Connecting to 10.10.110.1:80 with no proxy
(11:58:46) proxy: Connection in progress
(11:58:46) proxy: Connected to 10.10.110.1:80.
(11:58:46) util: Request: 'GET /Public_UPNP_gatedesc.xml HTTP/1.1

Connection: close

Host: 10.10.110.1:80

'
(11:58:46) proxy: Connected to scs.msg.yahoo.com:5050.
(11:58:46) util: Response headers: 'HTTP/1.1 200 OK

Server:Ambit OS/1.0 UPnP/1.0 AMBIT-UPNP/1.0

Connect:close

Content-length: 2669

Content-type: text/xml

Cache-Control:no-cache

Pragma:no-cache

'
(11:58:46) upnp: parse_description_response(): could not get serviceTypeNode 7
(11:58:46) upnp: purple_upnp_parse_description(): control URL is NULL
(11:58:46) docklet: embedded
(11:58:46) yahoo: 96 bytes to read, rxlen is 116
(11:58:46) yahoo: Yahoo Service: 0x57 Status: 1
(11:58:46) yahoo: yahoo status: 99
(11:58:50) util: Writing file prefs.xml to directory /home/alan/.purple
(11:58:50) util: Writing file /home/alan/.purple/prefs.xml
(11:58:50) util: Writing file accounts.xml to directory /home/alan/.purple
(11:58:50) util: Writing file /home/alan/.purple/accounts.xml
(11:58:50) util: Writing file blist.xml to directory /home/alan/.purple
(11:58:50) util: Writing file /home/alan/.purple/blist.xml

Is there a new fix? I believe the problem is with Yahoo, but do we know of a work around.

Anand Kumria (wildfire) wrote :

@NeilAlan, the new fix is to upgrade to Pidgin 2.5.7 and remove the entry you placed into the hosts file

Iain Lane (laney) on 2009-06-25
Changed in pidgin (Ubuntu Dapper):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in pidgin (Ubuntu Hardy):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in pidgin (Ubuntu Intrepid):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Onkar Shinde (onkarshinde) wrote :

@To all those who are recommending upgrade to 2.5.7.

Pidgin 2.5.7 is not going to be added in repository for existing stable versions of Ubuntu. The fix for the protocol change will like be backported to the versions in repositories. (http://wiki.ubuntu.com/StableReleaseUpdates)
Please don't add any comments which recommend upgrading to 2.5.7.

Iain Lane (laney) on 2009-06-25
Changed in pidgin (Ubuntu Jaunty):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Iain Lane (laney) wrote :
Iain Lane (laney) on 2009-06-25
Changed in pidgin (Ubuntu Jaunty):
assignee: Iain Lane (laney) → nobody
status: In Progress → Confirmed
Iain Lane (laney) on 2009-06-26
Changed in pidgin (Ubuntu Intrepid):
assignee: Iain Lane (laney) → nobody
status: In Progress → Confirmed
Changed in pidgin (Ubuntu Dapper):
assignee: Iain Lane (laney) → nobody
status: In Progress → Confirmed
Chris Coulson (chrisccoulson) wrote :

This also affects the version currently in hardy-backports. This should probably be backported again after the Intrepid SRU is done.

Changed in hardy-backports:
importance: Undecided → Medium
status: New → Confirmed
Iain Lane (laney) wrote :

It can probably be backported from Karmic to all releases now. Can someone test this theory?

Iain Lane (laney) wrote :

I mean -backports, not backporting the patch.

Sebastien Bacher (seb128) wrote :

jaunty version uploaded

Changed in pidgin (Ubuntu Jaunty):
importance: Undecided → Low
status: Confirmed → Fix Committed
importance: Low → High

This seems like a simple problem to fix. I do not wish to take our volunteer developers for granted, but I don't understand why this problem has not been fixed yet in the form of an Ubuntu Update that prompts me. Isn't it as simple as repairing one line of code, and recompiling?

I don't understand why there is talk on this thread of the following:

1. "backporting"
2. "Updating to new versions that exist outside the main repository"
3. "editing the host file"

These suggestions are nice for temporary fixes, but I guess I don't understand the complexity of releasing an official update that will prompt everyone automatically via update manager.

Lonnie

Gonzalo_VC (gonzalo-vc) wrote :

66.163.181.184 scs.msg.yahoo.com did't work for me (Ubuntu 8.04 updated) :-/

Gonzalo_VC (gonzalo-vc) wrote :

66.163.181.184 scs.msg.yahoo.com didn't work for me (Ubuntu 8.04 updated) :-/

clombard (clombard44) wrote :

Why not just do the upgrade listed on the Update Manager to 9.04...?...more better you will see...

--- On Mon, 6/29/09, Gonzalo_VC <email address hidden> wrote:

From: Gonzalo_VC <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Monday, June 29, 2009, 8:48 PM

66.163.181.184 scs.msg.yahoo.com   didn't work for me (Ubuntu 8.04
updated)  :-/

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

My OS 9.04 is up to date. After an upgrade only this has happened.
Thanks

On Tue, Jun 30, 2009 at 6:32 AM, clombard <email address hidden> wrote:

> Why not just do the upgrade listed on the Update Manager to
> 9.04...?...more better you will see...
>
> --- On Mon, 6/29/09, Gonzalo_VC <email address hidden> wrote:
>
> From: Gonzalo_VC <email address hidden>
> Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin
> =<2.5.6 will not connect to Yahoo! servers.
> To: <email address hidden>
> Date: Monday, June 29, 2009, 8:48 PM
>
> 66.163.181.184 scs.msg.yahoo.com didn't work for me (Ubuntu 8.04
> updated) :-/
>
> --
> Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
> Yahoo! servers.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> --
> Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
> Yahoo! servers.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Martin Pitt (pitti) wrote :

Accepted pidgin into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

This is a veeery intrusive patch (3000 lines, adding a completely new authentication method), so please ensure to give this careful testing. Thanks!

Iain Lane (laney) wrote :

I can't get the new authentication method to apply to 2.4.2, so I suggest that we backport 2.5.7 into hardy-backports. I have tested it and it works for me just fine. We already have a 2.5.x version in there and pidgin's API/ABI policy means that all plugins should continue to work (incompatible changes only allowed when minor revision is bumped). I checked a few plugins and this does indeed appear to be the case.

Please approve the backport.

Iain Lane (laney) on 2009-06-30
Changed in pidgin (Ubuntu Hardy):
assignee: Iain Lane (laney) → nobody
status: In Progress → Confirmed
Iain Lane (laney) wrote :

Forget the backports task for now; 2.5.8 introduces security fixes so we should backport that one instead. This will be done in a separate bug.

Please only use this bug for SRU verification from now on everybody.

Changed in hardy-backports:
status: Confirmed → Invalid

How can you fix this problem via update manager?

clombard (clombard44) wrote :

I believe you are using Ubuntu 8.10...? Upgrade to Ubuntu 9.04 via the update manager.
Using 9.04 Pidgin works fine...if you want to stay with 8.10 I do not know of any fix.

--- On Tue, 6/30/09, Lonnie <email address hidden> wrote:

From: Lonnie <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Tuesday, June 30, 2009, 6:10 PM

How can you fix this problem via update manager?

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

If you are not running 9.04 (I am running 8.10) and you would like the latest version of Pidgin to appear through Synaptic, you will find the necessary PPA instructions (including the key) here:

http://pidgin.im/download/ubuntu/

Now that's the solution for Ubuntu 9.04!

Do what JamesIsIn suggested. Follow the instructions at:
http://www.pidgin.im/download/ubuntu/

This worked for me, and I like it better than other solutions mentioned.

Dave Stroud (bigdavesr) wrote :

You can get the latest versions at get deb.com It has versions for 8.10 up. It may not update for you. You may have to go back to get deb for that. They are working on a repository but don't think its fully functional yet.

Halaliel (halaliel) wrote :

is using ubuntu jauty, 9.04 nbr. no 1 is able to connect to yim lately i
found many complaints. past few weeks now.

On Tue, 2009-06-30 at 22:23 +0000, clombard wrote:

> I believe you are using Ubuntu 8.10...? Upgrade to Ubuntu 9.04 via the update manager.
> Using 9.04 Pidgin works fine...if you want to stay with 8.10 I do not know of any fix.
>
> --- On Tue, 6/30/09, Lonnie <email address hidden> wrote:
>
> From: Lonnie <email address hidden>
> Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
> To: <email address hidden>
> Date: Tuesday, June 30, 2009, 6:10 PM
>
> How can you fix this problem via update manager?
>
> --
> Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

YIM + halalielm
MSN + <email address hidden>
AIM + halaliel4
Gmail +<email address hidden>/jabberserv + Pidgin Jabber XMPP

SKYPE + Halaliel

Halaliel (halaliel) wrote :

added pidgin repository the upgrade now works fine
why can't ubuntu get it right away ?

On Wed, 2009-07-01 at 00:31 +0000, Dave Stroud wrote:

> You can get the latest versions at get deb.com It has versions for 8.10
> up. It may not update for you. You may have to go back to get deb for
> that. They are working on a repository but don't think its fully
> functional yet.
>

YIM + halalielm
MSN + <email address hidden>
AIM + halaliel4
Gmail +<email address hidden>/jabberserv + Pidgin Jabber XMPP

SKYPE + Halaliel

i can not connect to the yahoo server

Onkar Shinde (onkarshinde) wrote :

@all those who are running jaunty,

Please install the version from jaunty-proposed library and check if it fixes the connectivity problem. Check this link to know how to enable proposed repository - https://wiki.ubuntu.com/Testing/EnableProposed

It doesn't seem to be in jaunty-proposed yet.

Daniel Gimpelevich [2009-07-01 8:57 -0000]:
> It doesn't seem to be in jaunty-proposed yet.

Hm, indeed:

$ rmadison pidgin
    [...]
    pidgin | 1:2.5.5-1ubuntu8.2 | jaunty-proposed | source

It built/published correctly, though:

 https://launchpad.net/ubuntu/+source/pidgin/1:2.5.5-1ubuntu8.2

I'll investigate with the Soyuz guys, thanks for pointing out.

Martin Pitt (pitti) wrote :

Daniel Gimpelevich [2009-07-01 8:57 -0000]:
> It doesn't seem to be in jaunty-proposed yet.

OK, seems that rmadison is just lagging. I have 8.2 in my jaunty
chroot, so the update should be available.

OK, 2.5.5-1ubuntu8.2 installed, and it appears to connect to Yahoo correctly. There also seems to be a 2.5.8 in the repository now, but Karmic still indexes only 2.5.7; strange.

Elton Woo (elton-woo) wrote :

I am running Pidgin 2.5.5 in ubuntu 9.04 netbook remix. It simply says 'connecting" but fails to connect to yahoo.ca chat.
I did as per the instructions HERE:http://www.pidgin.im/download/ubuntu/:

To setup the PPA, copy-and-paste these commands into a terminal:

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com \ 67265eb522bdd6b1c69e66ed7fb8bee0a1f196a8

echo deb http://ppa.launchpad.net/pidgin-developers/ppa/ubuntu \ `lsb_release --short --codename` main | \
    sudo tee /etc/apt/sources.list.d/pidgin-ppa.list

Once this PPA is setup, Pidgin updates will show up in Update Manager along with the usual Ubuntu updates. The PPA will need to be re-setup only after upgrading Ubuntu.

When I launched the update manager, it did show availabie updates for pidgin and libpurple.

After updating, and rebooting the system, "About" now indicates:
Pidgin 2.5.7
(libpurple 2.5.7)

Now I get {<email address hidden>} disabled
Unknown error number 1013. Logging into the Yahoo! website may fix this.
I can login to my account using Firefox (ver.3.0.11), but no success with Pidgin.

Elton Woo (elton-woo) wrote :

ADDENDUM:
I am shown two buttons: "Modify Account" and "Re-enable". Neither corrects the situation.

Damiano Dallatana (damidalla) wrote :

@ Elton Woo: as of Pidgin 2.5.7 (and higher) - I do not know if it happens also with the patched 2.5.5 in -proposed, I think so - you have to remove the @yahoo.ext (Example: user <email address hidden> should insert only "ubuntero" as his username). Trying login using full email address results in a 1013 error.

Elton Woo (elton-woo) wrote :

Damiano Dallatana: Your suggestion to remove the "@yahoo.ca" from my login seems to work, I no longer get the error 1013 message, Thank you.

Dominque DeSalla: I didn't have to change the server information.

Dave Stroud: thanks for your suggestion, I was able to find the deb package Pidgin 2.5.8. it is however www.getdeb.net, instead of getdeb.COM. I note that the site warns that the current package has to be removed, so I take it that GDebi installer will not simply treat this as an update.

I only use synaptic or gdebi to install packages, so I would need instructions on how to install the ones at getdeb.com ... or can I add getdeb.com to the
Software Sources?

Martin Pitt (pitti) on 2009-07-02
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.5.5-1ubuntu8.2

---------------
pidgin (1:2.5.5-1ubuntu8.2) jaunty-proposed; urgency=low

  * debian/patches/50_yahoo_16_auth.patch: Add patch backported from upstream
    version 2.5.7 to fix connection problems connection to Yahoo! instant
    messenger. Previous versions of pidgin were using an old authentication
    method which was disabled by Yahoo!. This patch switches to using the new
    authentication method, version 16. (LP: #389322) References:
    - http://theflamingbanker.blogspot.com/2009/06/some-clarification-on-yahoo-issues.html
    - http://developer.pidgin.im/ticket/8853

 -- Iain Lane <email address hidden> Thu, 25 Jun 2009 13:27:48 +0100

Changed in pidgin (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I removed v-done tag to reset it for the updates to the other releases.

tags: removed: verification-done
Halaliel (halaliel) wrote :

will stick to the pidgin repository as it works, I'm on yim again.

On Wed, 2009-07-01 at 21:54 +0000, Damiano Dallatana wrote:

> @ Elton Woo: as of Pidgin 2.5.7 (and higher) - I do not know if it
> happens also with the patched 2.5.5 in -proposed, I think so - you have
> to remove the @yahoo.ext (Example: user <email address hidden> should
> insert only "ubuntero" as his username). Trying login using full email
> address results in a 1013 error.
>

YIM + halalielm
MSN + <email address hidden>
AIM + halaliel4
Gmail +<email address hidden>/jabberserv + Pidgin Jabber XMPP

SKYPE + Halaliel

Halaliel (halaliel) wrote :

does that mean I did not have to use pidgin repository now ? to late
added & updated now.

On Thu, 2009-07-02 at 07:30 +0000, Martin Pitt wrote:

> I removed v-done tag to reset it for the updates to the other releases.
>
> ** Tags removed: verification-done
>

YIM + halalielm
MSN + <email address hidden>
AIM + halaliel4
Gmail +<email address hidden>/jabberserv + Pidgin Jabber XMPP

SKYPE + Halaliel

Halaliel (halaliel) wrote :

to late for me added pigin repository 2 days ago, pidgin failed to
connect yim over 2 weeks before.

On Thu, 2009-07-02 at 07:29 +0000, Launchpad Bug Tracker wrote:

> This bug was fixed in the package pidgin - 1:2.5.5-1ubuntu8.2
>
> ---------------
> pidgin (1:2.5.5-1ubuntu8.2) jaunty-proposed; urgency=low
>
> * debian/patches/50_yahoo_16_auth.patch: Add patch backported from upstream
> version 2.5.7 to fix connection problems connection to Yahoo! instant
> messenger. Previous versions of pidgin were using an old authentication
> method which was disabled by Yahoo!. This patch switches to using the new
> authentication method, version 16. (LP: #389322) References:
> - http://theflamingbanker.blogspot.com/2009/06/some-clarification-on-yahoo-issues.html
> - http://developer.pidgin.im/ticket/8853
>
> -- Iain Lane <email address hidden> Thu, 25 Jun 2009 13:27:48 +0100
>
> ** Changed in: pidgin (Ubuntu Jaunty)
> Status: Fix Committed => Fix Released
>

YIM + halalielm
MSN + <email address hidden>
AIM + halaliel4
Gmail +<email address hidden>/jabberserv + Pidgin Jabber XMPP

SKYPE + Halaliel

Ronalyn (bhonacks06) on 2009-07-04
Changed in pidgin:
importance: Unknown → Undecided
status: Fix Released → New
Derek Martin (code-pizzashack) wrote :

What is the status of this in Hardy (8.04 LTS)?

W.M.T. Manjula (wmtmanjula) wrote :

It starts working after updating the recent updates for Ubuntu PidGin,
Thanks!

W.M.T. Manjula (wmtmanjula) wrote :

Please close this bug

shubes (ejs-shubes) wrote :

Any idea if/when the fixed version will be backported to hardy? This would seem to me to be a fairly high priority, given that hardy is the the current LTS version. I would expect this bug to stay open until this has been done.

John Vivirito (gnomefreak) wrote :

Dapper reaches EOLS on july 14th for desktop systems. Pidgin is not a server update so it will not get this fix.

Changed in pidgin (Ubuntu Dapper):
status: Confirmed → Won't Fix
Jaime Carpenter (j.carpenter) wrote :

@shubes, I completely agree. I am also using Hardy because it is an LTS version. I also want to see this bug stay open until the issue is resolved in Hardy 8.04. It is unfortunate that Yahoo set this ball in play, however from what I understand the authentication method will now be more secure and will hopefully stop the Yahoo messenger "spim" that I was beginning to get with increased frequency. Thanks to the Pidgin team for getting to the bottom of the problem, just don't leave us LTS folks hanging!

Alex Cockell (alcockell) wrote :

Agreed... please could we basic users on preinstalled LTS have the fix as well?

minthaka (mohareve) wrote :

Hey, guys I don't know what all of you are talking about closing this bug! I've just installed pidgin 2.5.8 from developers website, and I still cannot connect to Yahoo. I can't find the 2.5.7 version's deb files. It still won't working!

minthaka (mohareve) wrote :

I've just checked the version 2.5.7. from GetDeb's link, and it doesn't work with Yahoo either. I'm on Xubuntu Jaunty.

Montel Edwards (montel) wrote :

By 'Developers Website' do you mean http://pidgin.com?
Pidgin is in the main respos, and Canonical will provide updates for it
by themselves.
On Mon, 2009-07-13 at 11:13 +0000, minthaka wrote:
> Hey, guys I don't know what all of you are talking about closing this
> bug! I've just installed pidgin 2.5.8 from developers website, and I
> still cannot connect to Yahoo. I can't find the 2.5.7 version's deb
> files. It still won't working!
>

Montel Edwards (montel) wrote :

Try running the update manager. That is what fixed the problem for me.
On Mon, 2009-07-13 at 12:12 +0000, minthaka wrote:
> I've just checked the version 2.5.7. from GetDeb's link, and it doesn't
> work with Yahoo either. I'm on Xubuntu Jaunty.
>

Remove the repository you added from the developers' website, and reinstall version 1:2.5.5-1ubuntu8.3 from jaunty-security or jaunty-updates. That version works for me. It always worked better than 2.5.8 anyway.

minthaka (mohareve) wrote :

I've just done doing what Daniel said, but no success: It speaks about "unknown error code 1013"

minthaka (mohareve) wrote :

Why, I'm sorry, it probably was caused by the fact I've added the suffix @yahoo.com to my user name. Thanks anyway! It was my fault.

Martin Pitt (pitti) wrote :

Jaime Carpenter [2009-07-09 22:13 -0000]:
> @shubes, I completely agree. I am also using Hardy because it is an LTS
> version. I also want to see this bug stay open until the issue is
> resolved in Hardy 8.04.

For the record, that's still on the list. It's a difficult and
intrusive update, though, so it will still take a bit.

Changed in pidgin (Ubuntu Intrepid):
status: Confirmed → Fix Committed
Rafael Rio (rafael-cpu) on 2009-07-29
Changed in pidgin (Ubuntu Jaunty):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

please don't change bug states without explanation. setting back to 'released'.

Changed in pidgin (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2009-07-30
Changed in pidgin (Ubuntu Intrepid):
status: Fix Committed → Confirmed

Does this mean we can now connect to yahoo on pidgen??

On Thu, Jul 30, 2009 at 1:18 PM, Steve Langasek <
<email address hidden>> wrote:

> please don't change bug states without explanation. setting back to
> 'released'.
>
> ** Changed in: pidgin (Ubuntu Jaunty)
> Status: Fix Committed => Fix Released
>
> --
> Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
> Yahoo! servers.
> https://bugs.launchpad.net/bugs/389322
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Hardy Heron Backports: Invalid
> Status in Pidgin: New
> Status in “pidgin” package in Ubuntu: Fix Released
> Status in pidgin in Ubuntu Dapper: Won't Fix
> Status in pidgin in Ubuntu Hardy: Confirmed
> Status in pidgin in Ubuntu Intrepid: Fix Committed
> Status in pidgin in Ubuntu Jaunty: Fix Released
> Status in pidgin in Ubuntu Karmic: Fix Released
>
> Bug description:
> Binary package hint: pidgin
>
> Just hangs trying to connect to yahoo.
> all other account types seem to be working fine just not yahoo.
> pidgin 2.5.5
> ====================================
> pidgin debug log :
> (09:19:46) account: Connecting to account MyYahooAccount
> (09:19:46) connection: Connecting. gc = 0x8e3e1c8
> (09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
> (09:19:46) dns: DNS child 5936 no longer exists
> (09:19:46) dns: Created new DNS child 6064, there are now 1 children.
> (09:19:46) dns: Successfully sent DNS request to child 6064
> (09:19:48) dns: Got response for 'scs.msg.yahoo.com'
> (09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
> (09:19:48) proxy: Attempting connection to 76.13.15.32
> (09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
> (09:19:48) proxy: Connection in progress
> (09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
> (09:19:49) yahoo: 96 bytes to read, rxlen is 116
> (09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
> (09:19:49) yahoo: yahoo status: 12
> ====================================
> ping to yahoo server :
> ping scs.msg.yahoo.com
> PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48
> time=638 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48
> time=628 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48
> time=659 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=4 ttl=48
> time=817 ms
> 64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=5 ttl=48
> time=659 ms
> ====================================
> netstat :
> tcp 0 0 xxx.xxx.xxx.xxx:49159 76.13.15.32:5050 ESTABLISHED
> tcp 0 0 xxx.xxx.xxx.xxx:52467 68.180.217.8:5050 ESTABLISHED
> ====================================
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/pidgin
> NonfreeKernelModules: nvidia
> Package: pidgin 1:2.5.5-1ubuntu8.1
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: pidgin
> Uname: Linux 2.6.28-13-generic i686
>
>
>

victoria (vickie4200) on 2009-08-08
Changed in pidgin (Ubuntu Jaunty):
status: Fix Released → New
Changed in pidgin:
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

once again, do not change bug states without explanation.

Changed in pidgin (Ubuntu Jaunty):
status: New → Fix Released
saasitah (fekubari) wrote :

ok, mine is about yahoo. it just keeps on hanging and i have to restart firefox each and every time. This happens on different machines at times not, please help out am stranded

hello...what version of Firefox and Pidgin are you using...?

--- On Thu, 8/20/09, saasitah <email address hidden> wrote:

From: saasitah <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Thursday, August 20, 2009, 8:33 AM

ok, mine is about yahoo. it just keeps on hanging and i have to restart
firefox each and every time. This happens on different machines at times
not, please help out am stranded

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Download full text (3.6 KiB)

Pidgin 2.5.8 Firefox 3.0.13

________________________________
From: clombard <email address hidden>
To: <email address hidden>
Sent: Thursday, 20 August, 2009 17:31:25
Subject: Re: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.

hello...what version of Firefox and Pidgin are you using...?

--- On Thu, 8/20/09, saasitah <email address hidden> wrote:

From: saasitah <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Thursday, August 20, 2009, 8:33 AM

ok, mine is about yahoo. it just keeps on hanging and i have to restart
firefox each and every time. This happens on different machines at times
not, please help out am stranded

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in Hardy Heron Backports: Invalid
Status in Pidgin: Fix Committed
Status in “pidgin” package in Ubuntu: Fix Released
Status in pidgin in Ubuntu Dapper: Won't Fix
Status in pidgin in Ubuntu Hardy: Confirmed
Status in pidgin in Ubuntu Intrepid: Confirmed
Status in pidgin in Ubuntu Jaunty: Fix Released
Status in pidgin in Ubuntu Karmic: Fix Released

Bug description:
Binary package hint: pidgin

Just hangs trying to connect to yahoo.
all other account types seem to be working fine just not yahoo.
pidgin 2.5.5
====================================
pidgin debug log :
(09:19:46) account: Connecting to account MyYahooAccount
(09:19:46) connection: Connecting. gc = 0x8e3e1c8
(09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
(09:19:46) dns: DNS child 5936 no longer exists
(09:19:46) dns: Created new DNS child 6064, there are now 1 children.
(09:19:46) dns: Successfully sent DNS request to child 6064
(09:19:48) dns: Got response for 'scs.msg.yahoo.com'
(09:19:48) dnsquery: IP resolved for scs.msg.yahoo.com
(09:19:48) proxy: Attempting connection to 76.13.15.32
(09:19:48) proxy: Connecting to scs.msg.yahoo.com:5050 with no proxy
(09:19:48) proxy: Connection in progress
(09:19:49) proxy: Connecting to scs.msg.yahoo.com:5050.
(09:19:49) yahoo: 96 bytes to read, rxlen is 116
(09:19:49) yahoo: Yahoo Service: 0x57 Status: 1
(09:19:49) yahoo: yahoo status: 12
====================================
ping to yahoo server :
ping scs.msg.yahoo.com
PING scs.msg.yahoo.com (76.13.15.36) 56(84) bytes of data.
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=1 ttl=48 time=638 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=2 ttl=48 time=628 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=3 ttl=48 time=659 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=4 ttl=48 time=817 ms
64 bytes from cs108.msg.ac4.yahoo.com (76.13.15.36): icmp_seq=5 ttl=48 time=659 ms...

Read more...

clombard (clombard44) wrote :
Download full text (4.8 KiB)

Try running Pidgin from terminal...then...

you can try closing all pidgins and run:

mv ~/.purple ~/.purple_old

and rerun pidgin. If it works then you have 2 choices:
1, rename back and attempt to troubleshoot the profile as it is corrupted somewhere (hard)
2, rebuild a fresh profile with your accounts and settings (easy)

The old profile is not deleted, only renamed. This allows an easy
rollback path.

If the app still doesnt work, you can rename back then run:

sudo apt-get --purge remove pidgin; sudo apt-get --purge autoremove;
sudo apt-get clean; sudo apt-get update; sudo apt-get install pidgin

Which will reinstall a fresh version of pidgin from the repositorys.

--- On Thu, 8/20/09, Chandria <email address hidden> wrote:

From: Chandria <email address hidden>
Subject: Re: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Thursday, August 20, 2009, 1:36 PM

Pidgin 2.5.8   Firefox 3.0.13

________________________________
From: clombard <email address hidden>
To: <email address hidden>
Sent: Thursday, 20 August, 2009 17:31:25
Subject: Re: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.

hello...what version of Firefox and Pidgin are you using...?

--- On Thu, 8/20/09, saasitah <email address hidden> wrote:

From: saasitah <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Thursday, August 20, 2009, 8:33 AM

ok, mine is about yahoo. it just keeps on hanging and i have to restart
firefox each and every time. This happens on different machines at times
not, please help out am stranded

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in Hardy Heron Backports: Invalid
Status in Pidgin: Fix Committed
Status in “pidgin” package in Ubuntu: Fix Released
Status in pidgin in Ubuntu Dapper: Won't Fix
Status in pidgin in Ubuntu Hardy: Confirmed
Status in pidgin in Ubuntu Intrepid: Confirmed
Status in pidgin in Ubuntu Jaunty: Fix Released
Status in pidgin in Ubuntu Karmic: Fix Released

Bug description:
Binary package hint: pidgin

Just hangs trying to connect to yahoo.
all other account types seem to be working fine just not yahoo.
pidgin 2.5.5
====================================
pidgin debug log :
(09:19:46) account: Connecting to account MyYahooAccount
(09:19:46) connection: Connecting. gc = 0x8e3e1c8
(09:19:46) dns: DNS query for 'scs.msg.yahoo.com' queued
(09:19:46) dns: DNS child 5936 no longer exists
(09:19:46) dns: Created new DNS child 6064, there are now 1 children.
(09:19:46) dns: Successfully sent DNS request to child 6064
(09:19:48) dns: Got respons...

Read more...

Gelu (gelu-danis) on 2009-09-03
Changed in pidgin (Ubuntu Karmic):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2009-09-03
Changed in pidgin (Ubuntu Karmic):
status: Fix Committed → Fix Released
memo demo (embabi2005) on 2009-09-06
Changed in pidgin (Ubuntu Jaunty):
status: Fix Released → Confirmed
VladNistor (vladnistor) on 2009-09-06
Changed in pidgin (Ubuntu Jaunty):
status: Confirmed → Fix Released
Alex Cockell (alcockell) wrote :

Yahoo seems to have locked me out - again. I'm using Hardy with all updates...

Any idea when this fix is going to reach us basic LTS users?

Alex Cockell (alcockell) wrote :

I had a look on Yahoo's blogs - and found this article - http://www.ymessengerblog.com/blog/2009/09/18/versions-6-7-5-will-end-on-september-30/

It looks as though Pidgin has to emulate Yahoo 9 or later in order to be let in.

shubes (ejs-shubes) wrote :

The backport to Hardy does not appear to be a high priority. For Hardy users (as myself), if you add "http://ppa.launchpad.net/pidgin-developers/ppa/ubuntu hardy main" to your list of repositories under Third-Party Software Synaptic, you can upgrade to the fixed version from from there.

So much for LTS. :(

clombard (clombard44) wrote :

Thanks Alex. The link in
your email to yahoo messenger does not work.
It seems that
hundreds of emails and bug reports can not correct
yahoo messenger
while using Ubuntu. In a nutshell, yahoo messenger
simply does not
work to its full capacity with Ubuntu. That's Period!
If you go
onto yahoo messenger with a Windows machine one is amazed
at all
the enabled features...like being able to receive a file to
getting
detailed user information. All of which do not work using
yahoo messenger
with Ubuntu.
I use pidgin and am able to
communicate using yahoo messenger...BUT...
all features are not
available at this time. Frankly the subtle problems are too numerous
to mention and probably too numerous to fix.
So I suggest users to
just get it working as best you can and hope that Karmic Koala with
Empathy messenger service will work in total.
Charles Lombardo

--- On Fri, 10/9/09, Alex Cockell <email address hidden> wrote:

From: Alex Cockell <email address hidden>
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
To: <email address hidden>
Date: Friday, October 9, 2009, 11:28 PM

I had a look on Yahoo's blogs - and found this article -
http://www.ymessengerblog.com/blog/2009/09/18/versions-6-7-5-will-end-
on-september-30/

It looks as though Pidgin has to emulate Yahoo 9 or later in order to be
let in.

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Alex Cockell (alcockell) wrote :

@ Release Management - re Shubes' comment.. please could Relman explain why it is that us Hardy users are going to be left behind.. again...

Alex Cockell (alcockell) wrote :

@Release Management - if Pidgin is working OK in Karmic (2.6.2 supported against Yahoo), please could you consider not causing us basic users to have the choice between not using Yahoo or breaking our machines y stepping outside the official Canonical repos?

In short, please could you consider SRUing 2.6.2 back to Hardy?

Thanks,

----- Original Message -----
From: "Alex Cockell" <email address hidden>
To: <email address hidden>
Sent: Wednesday, October 14, 2009 4:18 AM
Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin
=<2.5.6will not connect to Yahoo! servers.

@Release Management - if Pidgin is working OK in Karmic (2.6.2 supported
against Yahoo), please could you consider not causing us basic users to
have the choice between not using Yahoo or breaking our machines y
stepping outside the official Canonical repos?

In short, please could you consider SRUing 2.6.2 back to Hardy?

Thanks,

--
Yahoo server authentication changed: Pidgin =<2.5.6 will not connect to
Yahoo! servers.
https://bugs.launchpad.net/bugs/389322
You received this bug notification because you are a direct subscriber
of the bug.

Tibi (csikasz) wrote :

flyup írta:
> ----- Original Message -----
> From: "Alex Cockell" <email address hidden>
> To: <email address hidden>
> Sent: Wednesday, October 14, 2009 4:18 AM
> Subject: [Bug 389322] Re: Yahoo server authentication changed: Pidgin
> =<2.5.6will not connect to Yahoo! servers.
>
>
> @Release Management - if Pidgin is working OK in Karmic (2.6.2 supported
> against Yahoo), please could you consider not causing us basic users to
> have the choice between not using Yahoo or breaking our machines y
> stepping outside the official Canonical repos?
>
> In short, please could you consider SRUing 2.6.2 back to Hardy?
>
> Thanks,
>
Hello thanks for your help,I am can use my yahoo account again.

Alex Cockell (alcockell) wrote :

I say again - is this bug where I am unable to log into Yahoo Messenger services with the version of Pidgin on Hardy as supplied by Canonical repositories going to be fixed?

I would not feel comfortable stepping away from Canonical's repos... as I do not know enough to resolve issues otherwise.

Please fix it ASAP.

Changed in pidgin (Ubuntu Hardy):
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → High
status: Confirmed → In Progress
Chris Coulson (chrisccoulson) wrote :

Here is a patch for Hardy, with the changes backported.

The patch is self-contained within the Yahoo backend, to avoid breaking libpurple ABI (as it relies on extra members in the PurpleUtilFetchUrlData public struct), and also to minimize the regression risk to other protocols which are currently functioning perfectly ok.

The patch is a similar size to what was previously applied in Jaunty, and as such, needs a similar approach to user testing

Martin Pitt (pitti) wrote :

I tested the updated version with Chris, sponsoring.

Many thanks!

Accepted pidgin into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pidgin (Ubuntu Hardy):
status: In Progress → Fix Committed
tags: added: verification-needed
Stephen Laverty (steve-alum) wrote :

Version 1:2.4.1-1ubuntu2.7 from hardy-proposed allows me to get on Yahoo IM again.

Martin Pitt (pitti) on 2009-11-10
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.4.1-1ubuntu2.7

---------------
pidgin (1:2.4.1-1ubuntu2.7) hardy-proposed; urgency=low

  * debian/patches/86_yahoo_protocol_fix.patch:
    - Backport upstream changes to use version 16 of the Yahoo!
      Messenger Protocol. The old authentication mechanism was
      disabled, meaning that it can no longer be used for signing in
      to Yahoo! services (LP: #389322)

 -- Chris Coulson <email address hidden> Fri, 30 Oct 2009 15:02:16 +0000

Changed in pidgin (Ubuntu Hardy):
status: Fix Committed → Fix Released
Philip Wyett (philwyett) wrote :

Attached is a patch that fixes this issue in Intrepid and is also a drop in patch thusly for the 2.5.2 in Hardy backports.

Philip Wyett (philwyett) wrote :

Sorry, I added the Hardy backports debdiff. Attached is the clean patch file.

Martin Pitt (pitti) wrote :

Accepted pidgin into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pidgin (Ubuntu Intrepid):
status: Confirmed → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2009-11-30
tags: removed: verification-done
gonkaila (gonkaila) on 2010-01-04
Changed in pidgin (Ubuntu):
status: Fix Released → Fix Committed
Changed in pidgin (Ubuntu Hardy):
status: Fix Released → Fix Committed
Changed in pidgin (Ubuntu Hardy):
status: Fix Committed → Fix Released
Changed in pidgin (Ubuntu):
status: Fix Committed → Fix Released

Looks like this bug is not fixed in 1:2.5.2-0ubuntu1.2~hardy1, so I'm using 1:2.4.1-1ubuntu2.7, and update-manager keeps pushing the former.

I am using pidgin 2.6.5 on Karmic and it still does not work. I believe
it has something to do with a corporate firewall because if I proxy it
through a machine outside of my corporate firewall, it works fine. The
real Yahoo client however works fine from behind the firewall. There
must be something that Yahoo's client is doing that Pidgin is not.

------------------------------------------------------------------------------------------------
This e-mail, including attachments, is intended for the person(s)
or company named and may contain confidential and/or legally
privileged information. Unauthorized disclosure, copying or use of
this information may be unlawful and is prohibited. If you are not
the intended recipient, please delete this message and notify the
sender.

Philip Wyett (philwyett) wrote :

Risto,

You will have backports setup that is why it is offering that version.

The 2.5.2-0ubuntu1.2~hardy1 is a backport from Intrepid. The version that should be backported to hardy is the package from Intrepid once the package with the patch for yahoo authentication has been cleared and released as a Stable Release Update (SRU). See comments #123 and #124 on this bug for futher info.

Regards

Phil

Marc Deslauriers (mdeslaur) wrote :

pidgin 1:2.5.2-0ubuntu1.6 was pushed to intrepid as a security update and does _NOT_ contain the fix for this bug. New packages need to be prepared for Intrepid and pushed to -proposed.

Martin Pitt (pitti) on 2010-01-18
Changed in pidgin (Ubuntu Intrepid):
status: Fix Committed → Triaged
tags: removed: verification-needed
kenji (kenji-tamada) on 2010-02-12
Changed in pidgin (Ubuntu):
status: Fix Released → In Progress
Steve Langasek (vorlon) wrote :

please don't change bug status without explanation.

Changed in pidgin (Ubuntu):
status: In Progress → Fix Released

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug has been fixed in newer releases of Ubuntu.

Changed in pidgin (Ubuntu Intrepid):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.